# $Revision: 1.5 $, $Date: 2004/05/06 18:43:21 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Regexp
%define	pnam	Subst-Parallel
Summary:	Regexp::Subst::Parallel - multiple substitutions on a string in parallel
Summary(pl):	Regexp::Subst::Parallel - jednoczesne wykonywanie wielu podstawie w acuchu
Name:		perl-Regexp-Subst-Parallel
Version:	0.11
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	ebebdad0aea5835daeb8e3cb7add383e
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Regexp::Subst::Parallel is a module that allows you to make multiple
simultaneous substitutions safely. Using the sole exported subst
function has a rather different effect from doing each substitution
sequentially.

%description -l pl
Regexp::Subst::Parallel to modu pozwalajcy na bezpieczne wykonywanie
wielu podstawie jednoczenie. Uycie zwykej funkcji subst daje
raczej inny efekt ni wykonywanie podstawie sekwencyjnie.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%dir %{perl_vendorlib}/%{pdir}/Subst
%{perl_vendorlib}/%{pdir}/Subst/Parallel.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Regexp-Subst-Parallel.spec,v $
Revision 1.5  2004/05/06 18:43:21  ankry
- fixed perl-devel BR

Revision 1.4  2004/04/27 21:44:54  ankry
- license fixes, cosmetics

Revision 1.3  2004/04/27 15:26:25  ankry
- new bconds

Revision 1.2  2004/01/24 23:58:03  arekm
- autoupdated to 0.11

Revision 1.1  2003/06/18 17:55:27  qboosh
- new

